<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>SignUpComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/sign-up/sign-up.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-sign-up</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./sign-up.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./sign-up.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#errorsMessages">errorsMessages</a>
                            </li>
                            <li>
                                <a href="#signUpForm">signUpForm</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#buldForm">buldForm</a>
                            </li>
                            <li>
                                <a href="#checkPasswords">checkPasswords</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#openLogin">openLogin</a>
                            </li>
                            <li>
                                <a href="#register">register</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#firsName">firsName</a>
                                </li>
                                <li>
                                    <a href="#lastName">lastName</a>
                                </li>
                                <li>
                                    <a href="#password">password</a>
                                </li>
                                <li>
                                    <a href="#confirmPassword">confirmPassword</a>
                                </li>
                                <li>
                                    <a href="#email">email</a>
                                </li>
                                <li>
                                    <a href="#phone">phone</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(formBuilder: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, authService: <a href="../injectables/AuthService.html">AuthService</a>, dialog: MatDialog)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="63" class="link-to-prism">src/app/sign-up/sign-up.component.ts:63</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>formBuilder</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/AuthService.html" target="_self" >AuthService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="buldForm"></a>
                    <span class="name">
                        <b>
                            buldForm
                        </b>
                        <a href="#buldForm"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>buldForm()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="72"
                            class="link-to-prism">src/app/sign-up/sign-up.component.ts:72</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="checkPasswords"></a>
                    <span class="name">
                        <b>
                            checkPasswords
                        </b>
                        <a href="#checkPasswords"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>checkPasswords(group: <a href="https://angular.io/api/forms/FormGroup" target="_blank">FormGroup</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="82"
                            class="link-to-prism">src/app/sign-up/sign-up.component.ts:82</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>group</td>
                                    <td>
                                                <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="70"
                            class="link-to-prism">src/app/sign-up/sign-up.component.ts:70</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="openLogin"></a>
                    <span class="name">
                        <b>
                            openLogin
                        </b>
                        <a href="#openLogin"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>openLogin()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="100"
                            class="link-to-prism">src/app/sign-up/sign-up.component.ts:100</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="register"></a>
                    <span class="name">
                        <b>
                            register
                        </b>
                        <a href="#register"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>register()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="87"
                            class="link-to-prism">src/app/sign-up/sign-up.component.ts:87</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="errorsMessages"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            errorsMessages</b>
                            <a href="#errorsMessages"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{
    firstName: [
      { type: &#x27;required&#x27;, message: &#x27;Nombre(s) es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;40 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;2 caracteres como minimo&#x27; },
      { type: &#x27;pattern&#x27;, message: &#x27;solo se permiten caracteres&#x27; }
    ],
    lastName: [
      { type: &#x27;required&#x27;, message: &#x27;Apellido(s) es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;20 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;2 caracteres como minimo&#x27; },
      { type: &#x27;pattern&#x27;, message: &#x27;solo se permiten caracteres&#x27; }
    ],
    password: [
      { type: &#x27;required&#x27;, message: &#x27;Contraseña es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;8 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;6 caracteres como minimo&#x27; },
    ],
    confirmPassword: [
      { type: &#x27;required&#x27;, message: &#x27;Contraseña es requerido&#x27; }
    ],
    email: [
      { type: &#x27;required&#x27;, message: &#x27;Email es requerido&#x27; },
      { type: &#x27;email&#x27;, message: &#x27;Ingrese un correo electronico valido&#x27; }
    ],
    phone: [
      { type: &#x27;nullValidator&#x27;, message: &#x27;&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;8 digitos como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;8 digitos como minimo&#x27; },
      { type: &#x27;pattern&#x27;, message: &#x27;Solo se permiten numeros&#x27; }
    ]
  }</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/sign-up/sign-up.component.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="signUpForm"></a>
                        <span class="name">
                            <b>
                            signUpForm</b>
                            <a href="#signUpForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/sign-up/sign-up.component.ts:13</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="firsName"></a>
                        <span class="name"><b>firsName</b><a href="#firsName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>firsName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/app/sign-up/sign-up.component.ts:14</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="lastName"></a>
                        <span class="name"><b>lastName</b><a href="#lastName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>lastName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/sign-up/sign-up.component.ts:17</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="password"></a>
                        <span class="name"><b>password</b><a href="#password"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>password()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/sign-up/sign-up.component.ts:20</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="confirmPassword"></a>
                        <span class="name"><b>confirmPassword</b><a href="#confirmPassword"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>confirmPassword()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/sign-up/sign-up.component.ts:23</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="email"></a>
                        <span class="name"><b>email</b><a href="#email"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>email()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/sign-up/sign-up.component.ts:26</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="phone"></a>
                        <span class="name"><b>phone</b><a href="#phone"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>phone()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/sign-up/sign-up.component.ts:29</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { FormGroup, FormBuilder, Validators } from &#x27;@angular/forms&#x27;;
import { AuthService } from &#x27;../services/auth.service&#x27;;
import { MatDialog } from &#x27;@angular/material/dialog&#x27;;
import { LoginComponent } from &#x27;../login/login.component&#x27;;

@Component({
  selector: &#x27;app-sign-up&#x27;,
  templateUrl: &#x27;./sign-up.component.html&#x27;,
  styleUrls: [&#x27;./sign-up.component.css&#x27;]
})
export class SignUpComponent implements OnInit {
  signUpForm: FormGroup;
  get firsName(): any {
    return this.signUpForm.get(&#x27;name&#x27;);
  }
  get lastName(): any {
    return this.signUpForm.get(&#x27;lastName&#x27;);
  }
  get password(): any {
    return this.signUpForm.get(&#x27;password&#x27;);
  }
  get confirmPassword(): any {
    return this.signUpForm.get(&#x27;confirmPassword&#x27;);
  }
  get email(): any {
    return this.signUpForm.get(&#x27;email&#x27;);
  }
  get phone(): any {
    return this.signUpForm.get(&#x27;phone&#x27;);
  }
  public errorsMessages &#x3D; {
    firstName: [
      { type: &#x27;required&#x27;, message: &#x27;Nombre(s) es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;40 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;2 caracteres como minimo&#x27; },
      { type: &#x27;pattern&#x27;, message: &#x27;solo se permiten caracteres&#x27; }
    ],
    lastName: [
      { type: &#x27;required&#x27;, message: &#x27;Apellido(s) es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;20 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;2 caracteres como minimo&#x27; },
      { type: &#x27;pattern&#x27;, message: &#x27;solo se permiten caracteres&#x27; }
    ],
    password: [
      { type: &#x27;required&#x27;, message: &#x27;Contraseña es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;8 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;6 caracteres como minimo&#x27; },
    ],
    confirmPassword: [
      { type: &#x27;required&#x27;, message: &#x27;Contraseña es requerido&#x27; }
    ],
    email: [
      { type: &#x27;required&#x27;, message: &#x27;Email es requerido&#x27; },
      { type: &#x27;email&#x27;, message: &#x27;Ingrese un correo electronico valido&#x27; }
    ],
    phone: [
      { type: &#x27;nullValidator&#x27;, message: &#x27;&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;8 digitos como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;8 digitos como minimo&#x27; },
      { type: &#x27;pattern&#x27;, message: &#x27;Solo se permiten numeros&#x27; }
    ]
  };
  constructor(private formBuilder: FormBuilder,
              private authService: AuthService,
              private dialog: MatDialog) {
    this.buldForm();
  }

  ngOnInit(): void {
  }
  buldForm(): any {
    this.signUpForm &#x3D; this.formBuilder.group({
      name: [&#x27;&#x27;, [Validators.required]],
      lastName: [&#x27;&#x27;, [Validators.required]],
      email: [&#x27;&#x27;, [Validators.required]],
      phone: [&#x27;&#x27;, [Validators.required]],
      password: [&#x27;&#x27;, [Validators.required]],
      confirmPassword: [&#x27;&#x27;, [Validators.required]]
    }, { validator: this.checkPasswords });
  }
  checkPasswords(group: FormGroup): any {
    const contraseña &#x3D; group.controls.password.value;
    const confirmarContraseña &#x3D; group.controls.confirmPassword.value;
    return contraseña &#x3D;&#x3D;&#x3D; confirmarContraseña ? null : { notSame: true };
  }
  register(): any {
    console.log(this.signUpForm.value);
    this.authService.register(this.signUpForm.value).subscribe(
      res &#x3D;&gt; {
        if (res &#x3D;&#x3D; null) {
          this.signUpForm.reset();
          this.openLogin();
        }
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
  }
  openLogin(): any {
    const dialogRef &#x3D; this.dialog.open(LoginComponent, {
      width: &#x27;480px&#x27;,
      height: &#x27;auto&#x27;
    });
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;app-header&gt;&lt;/app-header&gt;
&lt;div class&#x3D;&quot;sig-up__content&quot;&gt;
  &lt;div class&#x3D;&quot;image__content&quot;&gt;
    &lt;h1&gt;Toma una &lt;strong&gt;desición&lt;/strong&gt;, Investment tu mejor &lt;strong&gt;elección&lt;/strong&gt;&lt;/h1&gt;
    &lt;img src&#x3D;&quot;./assets/image/sign-up/desition.svg&quot; alt&#x3D;&quot;&quot;&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;form&quot;&gt;
    &lt;h1 class&#x3D;&quot;title&quot;&gt;REGISTRATE&lt;/h1&gt;
    &lt;mat-horizontal-stepper&gt;
      &lt;mat-step label&#x3D;&quot;Datos personales&quot;&gt;
        &lt;h1&gt;Nos interesa saber quien eres&lt;/h1&gt;
        &lt;form [formGroup]&#x3D;&quot;signUpForm&quot;&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Nombre(s)&lt;/mat-label&gt;
            &lt;input matInput formControlName&#x3D;&quot;name&quot; placeholder&#x3D;&quot;Please, enter your First Name&quot; required&gt;
            &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.firstName&quot;&gt;
              &lt;ng-container *ngIf&#x3D;&quot;firsName.hasError(errorMessage.type) &amp;&amp; (firsName.dirty || firsName.touched)&quot;&gt;
                &lt;mat-error &gt;{{errorMessage.message}}&lt;/mat-error&gt;
              &lt;/ng-container&gt;
            &lt;/div&gt;
          &lt;/mat-form-field&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Apellido(s)&lt;/mat-label&gt;
            &lt;input matInput formControlName&#x3D;&quot;lastName&quot; placeholder&#x3D;&quot;Please, enter your Last Name&quot;required&gt;
            &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.lastName&quot;&gt;
              &lt;ng-container *ngIf&#x3D;&quot;lastName.hasError(errorMessage.type) &amp;&amp; (lastName.dirty || lastName.touched)&quot;&gt;
                &lt;mat-error&gt;{{errorMessage.message}}&lt;/mat-error&gt;
              &lt;/ng-container&gt;
            &lt;/div&gt;
          &lt;/mat-form-field&gt;
          &lt;div class&#x3D;&quot;btn-first-stepper&quot;&gt;
            &lt;button class&#x3D;&quot;btn-next&quot; mat-raised-button color&#x3D;&quot;warn&quot; matStepperNext&gt;Siguiente&lt;/button&gt;
          &lt;/div&gt;
        &lt;/form&gt;
      &lt;/mat-step&gt;
      &lt;!-- #docregion label --&gt;
      &lt;mat-step label&#x3D;&quot;Contacto&quot;&gt;
        &lt;h1&gt;¿Cómo podemos contactarte?&lt;/h1&gt;
        &lt;!-- #enddocregion label --&gt;
        &lt;form [formGroup]&#x3D;&quot;signUpForm&quot;&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Email&lt;/mat-label&gt;
            &lt;input matInput formControlName&#x3D;&quot;email&quot; placeholder&#x3D;&quot;Type your email here&quot; required&gt;
            &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.email&quot;&gt;
              &lt;ng-container *ngIf&#x3D;&quot;email.hasError(errorMessage.type) &amp;&amp; (email.dirty || email.touched)&quot;&gt;
                &lt;mat-error&gt;{{errorMessage.message}}&lt;/mat-error&gt;
              &lt;/ng-container&gt;
            &lt;/div&gt;
          &lt;/mat-form-field&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Telefono&lt;/mat-label&gt;
            &lt;input matInput formControlName&#x3D;&quot;phone&quot; placeholder&#x3D;&quot;Enter your phone&quot; required&gt;
            &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.phone&quot;&gt;
              &lt;ng-container *ngIf&#x3D;&quot;phone.hasError(errorMessage.type) &amp;&amp; (phone.dirty || phone.touched)&quot;&gt;
                &lt;mat-error&gt;{{errorMessage.message}}&lt;/mat-error&gt;
              &lt;/ng-container&gt;
            &lt;/div&gt;
          &lt;/mat-form-field&gt;
          &lt;div class&#x3D;&quot;btn-stepper&quot;&gt;
            &lt;button class&#x3D;&quot;btn-previous&quot; mat-button matStepperPrevious&gt;Volver&lt;/button&gt;
            &lt;button class&#x3D;&quot;btn-next&quot; mat-raised-button color&#x3D;&quot;warn&quot; matStepperNext&gt;Siguiente&lt;/button&gt;
          &lt;/div&gt;
        &lt;/form&gt;
      &lt;/mat-step&gt;
      &lt;mat-step label&#x3D;&quot;Finalizar&quot;&gt;
        &lt;h1&gt;Finalmente. Ingresa tu contraseña&lt;/h1&gt;
        &lt;form [formGroup]&#x3D;&quot;signUpForm&quot; (submit)&#x3D;&quot;register()&quot;&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Contraseña&lt;/mat-label&gt;
            &lt;input type&#x3D;&quot;password&quot; formControlName&#x3D;&quot;password&quot; matInput placeholder&#x3D;&quot;Your password must have min 8 letter&quot; required&gt;
            &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.password&quot;&gt;
              &lt;ng-container *ngIf&#x3D;&quot;password.hasError(errorMessage.type) &amp;&amp; (password.dirty || password.touched)&quot;&gt;
                &lt;mat-error&gt;{{errorMessage.message}}&lt;/mat-error&gt;
              &lt;/ng-container&gt;
            &lt;/div&gt;
          &lt;/mat-form-field&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Confirmar Contraseña&lt;/mat-label&gt;
            &lt;input type&#x3D;&quot;password&quot; formControlName&#x3D;&quot;confirmPassword&quot; matInput placeholder&#x3D;&quot;Type your password&quot; required&gt;
            &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.confirmPassword&quot;&gt;
              &lt;ng-container *ngIf&#x3D;&quot;confirmPassword.hasError(errorMessage.type) &amp;&amp; (confirmPassword.dirty || confirmPassword.touched)&quot;&gt;
                &lt;mat-error&gt;{{errorMessage.message}}&lt;/mat-error&gt;
              &lt;/ng-container&gt;
            &lt;/div&gt;
          &lt;/mat-form-field&gt;
          &lt;div class&#x3D;&quot;btn-stepper&quot;&gt;
            &lt;button class&#x3D;&quot;btn-previous&quot; mat-button matStepperPrevious&gt;Volver&lt;/button&gt;
            &lt;button type&#x3D;&quot;submit&quot; class&#x3D;&quot;btn-next&quot; [disabled]&#x3D;&quot;!signUpForm.valid&quot; mat-raised-button color&#x3D;&quot;warn&quot;&gt;Registrame&lt;/button&gt;
          &lt;/div&gt;
        &lt;/form&gt;
      &lt;/mat-step&gt;
    &lt;/mat-horizontal-stepper&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;app-footer&gt;&lt;/app-footer&gt;</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./sign-up.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">@keyframes img {
  from {margin-bottom: -100%;}
}

.navbar {
  background-color: #2D132C;
  font-size: 36px;
  justify-content: space-between;
  position: fixed;
  top: 0;
  height: 55px;
  width: 100%;
}

.logo {
  display: flex;
  flex-direction: row;
}

.sig-up__content {
  margin-top: 55px;
  width: 100%;
  height: 80%;
  display: flex;
  flex-direction: row;
}

.image__content {
  width: 50%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.image__content img {
  width: 100%;
  height: 90%;
  animation-name: img;
  animation-duration: 4s;
  animation-delay: -2s;
}

.image__content h1 {
  position: absolute;
  left: 2.78%;
  right: 72.64%;
  top: 7%;
  bottom: 81.19%;


  font-family: Roboto;
  font-style: normal;
  font-weight: 300;
  font-size: 1.75rem;
  line-height: 42px;
  letter-spacing: 0.75px;
  /* dark 2 */
  color: #272343;
}

.form {
  width: 50%;
}

.form .title {
  margin-top: 80px;
  font-family: Roboto;
  font-style: normal;
  font-weight: 300;
  font-size: 2.25rem;
  line-height: 42px;
  /* identical to box height */

  text-align: center;
  letter-spacing: 0.75px;
  text-transform: uppercase;
}

::ng-deep .mat-step-header .mat-step-icon-selected {
  background-color: #EE4540;
}

::ng-deep .mat-step-header .mat-step-icon-selected:active {
  background: #EE4540;
}

::ng-deep .mat-step-header .mat-step-icon-state-edit {
  background-color: #EE4540;
}

::ng-deep .mat-form-field {
  margin-bottom: 20px;
  width: 100%;
}

.btn-first-stepper {
  display: flex;
  justify-content: flex-end;
}
.btn-next {
     width: 25%;
}
.btn-stepper {
    display: flex;
    justify-content: space-between;
}
.btn-previous {
    border: 1px solid #EE4540;
    width: 25%;
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><app-header></app-header><div class="sig-up__content">  <div class="image__content">    <h1>Toma una <strong>desición</strong>, Investment tu mejor <strong>elección</strong></h1>    <img src="./assets/image/sign-up/desition.svg" alt="">  </div>  <div class="form">    <h1 class="title">REGISTRATE</h1>    <mat-horizontal-stepper>      <mat-step label="Datos personales">        <h1>Nos interesa saber quien eres</h1>        <form [formGroup]="signUpForm">          <mat-form-field>            <mat-label>Nombre(s)</mat-label>            <input matInput formControlName="name" placeholder="Please, enter your First Name" required>            <div *ngFor="let errorMessage of errorsMessages.firstName">              <ng-container *ngIf="firsName.hasError(errorMessage.type) && (firsName.dirty || firsName.touched)">                <mat-error >{{errorMessage.message}}</mat-error>              </ng-container>            </div>          </mat-form-field>          <mat-form-field>            <mat-label>Apellido(s)</mat-label>            <input matInput formControlName="lastName" placeholder="Please, enter your Last Name"required>            <div *ngFor="let errorMessage of errorsMessages.lastName">              <ng-container *ngIf="lastName.hasError(errorMessage.type) && (lastName.dirty || lastName.touched)">                <mat-error>{{errorMessage.message}}</mat-error>              </ng-container>            </div>          </mat-form-field>          <div class="btn-first-stepper">            <button class="btn-next" mat-raised-button color="warn" matStepperNext>Siguiente</button>          </div>        </form>      </mat-step>      <!-- #docregion label -->      <mat-step label="Contacto">        <h1>¿Cómo podemos contactarte?</h1>        <!-- #enddocregion label -->        <form [formGroup]="signUpForm">          <mat-form-field>            <mat-label>Email</mat-label>            <input matInput formControlName="email" placeholder="Type your email here" required>            <div *ngFor="let errorMessage of errorsMessages.email">              <ng-container *ngIf="email.hasError(errorMessage.type) && (email.dirty || email.touched)">                <mat-error>{{errorMessage.message}}</mat-error>              </ng-container>            </div>          </mat-form-field>          <mat-form-field>            <mat-label>Telefono</mat-label>            <input matInput formControlName="phone" placeholder="Enter your phone" required>            <div *ngFor="let errorMessage of errorsMessages.phone">              <ng-container *ngIf="phone.hasError(errorMessage.type) && (phone.dirty || phone.touched)">                <mat-error>{{errorMessage.message}}</mat-error>              </ng-container>            </div>          </mat-form-field>          <div class="btn-stepper">            <button class="btn-previous" mat-button matStepperPrevious>Volver</button>            <button class="btn-next" mat-raised-button color="warn" matStepperNext>Siguiente</button>          </div>        </form>      </mat-step>      <mat-step label="Finalizar">        <h1>Finalmente. Ingresa tu contraseña</h1>        <form [formGroup]="signUpForm" (submit)="register()">          <mat-form-field>            <mat-label>Contraseña</mat-label>            <input type="password" formControlName="password" matInput placeholder="Your password must have min 8 letter" required>            <div *ngFor="let errorMessage of errorsMessages.password">              <ng-container *ngIf="password.hasError(errorMessage.type) && (password.dirty || password.touched)">                <mat-error>{{errorMessage.message}}</mat-error>              </ng-container>            </div>          </mat-form-field>          <mat-form-field>            <mat-label>Confirmar Contraseña</mat-label>            <input type="password" formControlName="confirmPassword" matInput placeholder="Type your password" required>            <div *ngFor="let errorMessage of errorsMessages.confirmPassword">              <ng-container *ngIf="confirmPassword.hasError(errorMessage.type) && (confirmPassword.dirty || confirmPassword.touched)">                <mat-error>{{errorMessage.message}}</mat-error>              </ng-container>            </div>          </mat-form-field>          <div class="btn-stepper">            <button class="btn-previous" mat-button matStepperPrevious>Volver</button>            <button type="submit" class="btn-next" [disabled]="!signUpForm.valid" mat-raised-button color="warn">Registrame</button>          </div>        </form>      </mat-step>    </mat-horizontal-stepper>  </div></div><app-footer></app-footer></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CoreComponent', 'selector': 'app-core'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HeaderComponent', 'selector': 'app-header'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LoginComponent', 'selector': 'app-login'},{'name': 'ProyectResultComponent', 'selector': 'app-proyect-result'},{'name': 'ResultComponent', 'selector': 'app-result'},{'name': 'SignUpComponent', 'selector': 'app-sign-up'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'SignUpComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'SignUpComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
